catalog:
  title: Dsl Ide Coordination

templates:
- freestyle
- base

variables:
  description: >-
    MPS-based IDE with DSL support for specification and generation of
    SCXML-based FSMs
  keywords:
  - coordination
  - dsl
  - scxml
  - fsm

  build-dir: lastSuccessfulBuild
  repository: https://ci.cor-lab.de/view/DSL/job/coordination-dsl-IDE-linux-trunk/label=ubuntu_precise_32bit/${build-dir}/artifact/coordination-ide-linux.tar.gz
  scm: archive
  branches:
  - master
  - '104'
  - rst-experimental

  shell.command: |
    mkdir -p "${toolkit.dir}/opt/dsl/ide/coordination"
    find . -mindepth 1 -maxdepth 1 -exec cp -R \{\} "${toolkit.dir}/opt/dsl/ide/coordination/" \;
    ln -sf "${toolkit.dir}/opt/dsl/ide/coordination/mps.sh" "${toolkit.dir}/bin/dsl-ide-coordination"

versions:
- name: '104'
  variables:
    build-dir: '104'

- name: rst-experimental
  variables:
    build-dir: '14'
    repository: https://ci.cor-lab.de/view/DSL-master/job/rsb-coordination-dsl-IDE-linux-master/label=ubuntu_trusty_32bit/${build-dir}/artifact/rsb-coordination-ide-linux.tar.gz
    shell.command: |
      mkdir -p "${toolkit.dir}/opt/dsl/ide/workbench-rst-experimental"
      find . -mindepth 1 -maxdepth 1 -exec cp -R \{\} "${toolkit.dir}/opt/dsl/ide/workbench-rst-experimental/" \;
      ln -sf "${toolkit.dir}/opt/dsl/ide/workbench-rst-experimental/mps.sh" "${toolkit.dir}/bin/dsl-ide-workbench-rst-experimental"
